curl --request GET \
--url https://api.example.com/v1/prior-authorizations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/prior-authorizations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/prior-authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/prior-authorizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/prior-authorizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/prior-authorizations")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/prior-authorizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "assessment",
"status": "pending",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_first_name": "<string>",
"patient_last_name": "<string>",
"patient_date_of_birth": "2023-12-25",
"active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"decision": "approved",
"appeal_status": "requested",
"appeal_notes": "<string>",
"appeal_number": "<string>",
"appeal_availability": [
{
"day": "monday",
"start": "15:00",
"end": "17:00"
}
],
"notes": "<string>",
"external_id": "<string>",
"payor_member_id": "<string>",
"payor_insurance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payor_insurance_display_name": "<string>",
"payor_insurance": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"trading_partner_service_id": "<string>"
},
"requesting_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"servicing_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"servicing_location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requesting_provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"npi": "<string>",
"type": "<string>",
"is_active": true,
"tax_id": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"servicing_provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"npi": "<string>",
"type": "<string>",
"is_active": true,
"tax_id": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"servicing_location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"address_2": "<string>"
},
"created_by_user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"user_type": "<string>"
},
"service": {
"specialty": "aba",
"service_type_codes": [
"medical_care"
],
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"requested_visits": 123,
"requested_weeks": 123,
"visits_last_90_days": 123,
"cpt_codes": [
{
"code": "<string>",
"units": "<string>",
"unit_type": "units",
"modifiers": [
"<string>"
]
}
],
"locations": [
"telehealth_other_home"
]
},
"result": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"approved_visits": 123,
"approved_weeks": 123,
"cpt_codes": [
{
"code": "<string>",
"units": "<string>",
"unit_type": "units",
"modifiers": [
"<string>"
]
}
],
"locations": [
"telehealth_other_home"
],
"authorization_number": "<string>",
"cpt_authorization_numbers": {},
"reference_number": "<string>",
"notes": "<string>",
"ai_summary": "<string>",
"ai_summary_generated_at": "2023-11-07T05:31:56Z"
},
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"type": "<string>",
"size": 123,
"document_type": "referral",
"metadata": {},
"url": "<string>"
}
],
"file_count": 123,
"submitted_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"appeal_submitted_at": "2023-11-07T05:31:56Z",
"last_followed_up_at": "2023-11-07T05:31:56Z",
"scheduled_submission_date": "2023-12-25",
"completed": false,
"completed_at": "2023-11-07T05:31:56Z",
"completed_by_user_id": "<string>",
"completed_by_user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"user_type": "<string>"
},
"cancellation_reason": "duplicate_already_submitted",
"cancellation_note": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"vob": {
"state": "requested",
"has_member_id": true,
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tier": "primary",
"vob": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"missing": [
{
"field": "<string>",
"service_type": "medical_care",
"needs_patient_state": false
}
],
"no_service_type": false,
"specialties": [
{
"service_type": "medical_care",
"credentialing_id": "<string>",
"cpt_codes": [
"<string>"
],
"service_locations": [
"home"
],
"icd_codes": [
"<string>"
]
}
]
}
}
],
"has_more": true,
"limit": 123
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"meta": {}
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"meta": {}
}{
"type": "validation_error",
"code": "invalid_parameter",
"message": "Field validation failed",
"param": "phone_number"
}List prior authorizations
Return a paginated list of prior authorizations for your company. Filters narrow by status, decision, type, patient, servicing location, free-text patient name search, your own external_id (exact, case-sensitive), created-at date range, and expiration bucket.
curl --request GET \
--url https://api.example.com/v1/prior-authorizations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/prior-authorizations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/prior-authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/prior-authorizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/prior-authorizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/prior-authorizations")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/prior-authorizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "assessment",
"status": "pending",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_first_name": "<string>",
"patient_last_name": "<string>",
"patient_date_of_birth": "2023-12-25",
"active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"decision": "approved",
"appeal_status": "requested",
"appeal_notes": "<string>",
"appeal_number": "<string>",
"appeal_availability": [
{
"day": "monday",
"start": "15:00",
"end": "17:00"
}
],
"notes": "<string>",
"external_id": "<string>",
"payor_member_id": "<string>",
"payor_insurance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payor_insurance_display_name": "<string>",
"payor_insurance": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"trading_partner_service_id": "<string>"
},
"requesting_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"servicing_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"servicing_location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requesting_provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"npi": "<string>",
"type": "<string>",
"is_active": true,
"tax_id": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"servicing_provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"npi": "<string>",
"type": "<string>",
"is_active": true,
"tax_id": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"servicing_location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"address_2": "<string>"
},
"created_by_user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"user_type": "<string>"
},
"service": {
"specialty": "aba",
"service_type_codes": [
"medical_care"
],
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"requested_visits": 123,
"requested_weeks": 123,
"visits_last_90_days": 123,
"cpt_codes": [
{
"code": "<string>",
"units": "<string>",
"unit_type": "units",
"modifiers": [
"<string>"
]
}
],
"locations": [
"telehealth_other_home"
]
},
"result": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"approved_visits": 123,
"approved_weeks": 123,
"cpt_codes": [
{
"code": "<string>",
"units": "<string>",
"unit_type": "units",
"modifiers": [
"<string>"
]
}
],
"locations": [
"telehealth_other_home"
],
"authorization_number": "<string>",
"cpt_authorization_numbers": {},
"reference_number": "<string>",
"notes": "<string>",
"ai_summary": "<string>",
"ai_summary_generated_at": "2023-11-07T05:31:56Z"
},
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"type": "<string>",
"size": 123,
"document_type": "referral",
"metadata": {},
"url": "<string>"
}
],
"file_count": 123,
"submitted_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"appeal_submitted_at": "2023-11-07T05:31:56Z",
"last_followed_up_at": "2023-11-07T05:31:56Z",
"scheduled_submission_date": "2023-12-25",
"completed": false,
"completed_at": "2023-11-07T05:31:56Z",
"completed_by_user_id": "<string>",
"completed_by_user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"user_type": "<string>"
},
"cancellation_reason": "duplicate_already_submitted",
"cancellation_note": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"vob": {
"state": "requested",
"has_member_id": true,
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tier": "primary",
"vob": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"missing": [
{
"field": "<string>",
"service_type": "medical_care",
"needs_patient_state": false
}
],
"no_service_type": false,
"specialties": [
{
"service_type": "medical_care",
"credentialing_id": "<string>",
"cpt_codes": [
"<string>"
],
"service_locations": [
"home"
],
"icd_codes": [
"<string>"
]
}
]
}
}
],
"has_more": true,
"limit": 123
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"meta": {}
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"meta": {}
}{
"type": "validation_error",
"code": "invalid_parameter",
"message": "Field validation failed",
"param": "phone_number"
}Authorizations
Query Parameters
Relations to inline in each row. Repeatable, e.g. ?expand[]=requesting_provider&expand[]=servicing_location. files is not available here — use GET /{id} with expand[]=files.
Allowed expand values for the PA LIST endpoint.
Same as PriorAuthorizationExpand minus files: the list path never loads
or signs per-row files (only file_count), so files expansion is a
single-resource-only operation. Excluding it here makes FastAPI reject
?expand[]=files on the list with a 422 rather than silently returning
files: null.
requesting_provider, servicing_provider, servicing_location 1 <= x <= 100Lifecycle state of a prior authorization.
pending, submitted, information_needed, decided, cancelled Payor outcome on a decided authorization.
approved, partially_approved, denied, no_authorization_required Authorization type.
assessment, treatment, reassessment, reassessment_and_treatment 0 <= x <= 3650Filter the listing by the clinic-owned completion flag.
outstanding (default) hides done authorizations; completed shows only
done; all ignores completion. Request-only — not a DB enum.
outstanding, completed, all 
